package background.systemVariables;

public class IntegerVariable extends SimpleVariable {
	public int value;

	/* ============================================= */
	
	public IntegerVariable(int xValue) {
		this.setValue(xValue);
		this.setVizualize(false);
	}
		
	public IntegerVariable(int xValue, Boolean viz) {
		this.setValue(xValue);
		this.setVizualize(viz);
	}

	public IntegerVariable(String s) {
		this.setValue(Integer.parseInt(s));
		this.setVizualize(false);
	}
	
	public IntegerVariable(String s, Boolean viz) {
		this.setValue(Integer.parseInt(s));
		this.setVizualize(viz);
	}

	/* ============================================= */
	
	public void setValue(int xValue) {
		super.setValue();
		value = xValue;		
	}
	
	public void setValue(String s) {
		this.setValue(Integer.parseInt(s));
	}
	
	@Override
	public String getType() {
		return "int";
	}
	
	@Override
	public int getValue(int s) {
		return value;
	}	

	public String getValue(String s) {
		return Integer.toString(value);
	}

}
